Skip to main content
POST
curl
Required ACL: search

Authorizations

x-algolia-application-id
string
header
required

Your Algolia application ID.

x-algolia-api-key
string
header
required

Your Algolia API key with the necessary permissions to make the request. Permissions are controlled through access control lists (ACL) and access restrictions. The required ACL to make a request is listed in each endpoint's reference.

Path Parameters

compositionID
string
required

Unique Composition ObjectID. Composition unique identifier.

Example:

"my_composition_object_id"

Body

application/json
externalProvider
Run composition external provider parameters as object Ā· object
feedsOrder
string[]

A list of Feed IDs that specifies the order in which to order the results in the response. The IDs should be a subset of those in the feeds object of the targeted multifeed Composition / Composition Rule, and only those specified will be processed.

The value overrides the value in the defined behavior, and when unspecified, the value defined in the behavior is used. When neither value is present, all feeds are processed.

Example:
params
Run composition parameters as object Ā· object

Response

OK

results
object[]
required

Search results.

compositions
object
errors
object[]

Non-critical errors encountered while processing the request that may have affected the returned results (for example, an external provider failure that fell back to another result set).

Last modified on March 23, 2026